Update webhook
Updates webhook configuration such as URL or event subscriptions.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>",
"events": [
"document.created"
],
"headers": {},
"status": "enabled",
"url": "<string>"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}"
payload = {
"description": "<string>",
"displayName": "<string>",
"events": ["document.created"],
"headers": {},
"status": "enabled",
"url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
displayName: '<string>',
events: ['document.created'],
headers: {},
status: 'enabled',
url: '<string>'
})
};
fetch('https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'displayName' => '<string>',
'events' => [
'document.created'
],
'headers' => [
],
'status' => 'enabled',
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"events\": [\n \"document.created\"\n ],\n \"headers\": {},\n \"status\": \"enabled\",\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"events\": [\n \"document.created\"\n ],\n \"headers\": {},\n \"status\": \"enabled\",\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"events\": [\n \"document.created\"\n ],\n \"headers\": {},\n \"status\": \"enabled\",\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"consecutiveFailures": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"events": [
"document.created"
],
"headers": {},
"id": "<string>",
"status": "enabled",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastFailureAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}<string><string>Path Parameters
Workspace identifier.
Opaque identifier of the webhook.
^whk_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Body
Request payload for updating an existing workspace webhook.
Request payload for updating an existing workspace webhook.
Updated description of the webhook's purpose (max 500 characters).
500Updated human-readable name for the webhook (1-128 characters).
1 - 128Updated list of event types this webhook should receive.
The types of events that can trigger webhook delivery.
Corresponds to the WEBHOOK_EVENT PostgreSQL enum and configures which
events a webhook receives.
"document.created"Updated custom headers to include in webhook requests.
Show child attributes
Show child attributes
Updated status (enabled or disabled). Ignored while the webhook is system-suspended.
"enabled"Updated URL to send webhook payloads to.
2048Response
Workspace webhook response.
Workspace webhook response.
Consecutive failed deliveries since the last success.
Timestamp when this webhook was first created.
Account that created this webhook.
Show child attributes
Show child attributes
Detailed description of the webhook's purpose.
Human-readable name for the webhook.
List of event types this webhook receives.
The types of events that can trigger webhook delivery.
Corresponds to the WEBHOOK_EVENT PostgreSQL enum and configures which
events a webhook receives.
"document.created"Custom headers included in webhook requests.
Show child attributes
Show child attributes
Opaque identifier of the webhook.
^whk_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Current status of the webhook.
"enabled"Timestamp when this webhook was last modified.
The URL to send webhook payloads to.
URL-safe workspace handle. Display-only.
3 - 32^[a-z0-9]+(?:-[a-z0-9]+)*$Unique identifier of the workspace.
Timestamp of the most recent failed delivery.
Timestamp of the most recent successful delivery.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>",
"events": [
"document.created"
],
"headers": {},
"status": "enabled",
"url": "<string>"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}"
payload = {
"description": "<string>",
"displayName": "<string>",
"events": ["document.created"],
"headers": {},
"status": "enabled",
"url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
displayName: '<string>',
events: ['document.created'],
headers: {},
status: 'enabled',
url: '<string>'
})
};
fetch('https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'displayName' => '<string>',
'events' => [
'document.created'
],
'headers' => [
],
'status' => 'enabled',
'url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"events\": [\n \"document.created\"\n ],\n \"headers\": {},\n \"status\": \"enabled\",\n \"url\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"events\": [\n \"document.created\"\n ],\n \"headers\": {},\n \"status\": \"enabled\",\n \"url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\",\n \"events\": [\n \"document.created\"\n ],\n \"headers\": {},\n \"status\": \"enabled\",\n \"url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"consecutiveFailures": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"events": [
"document.created"
],
"headers": {},
"id": "<string>",
"status": "enabled",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastFailureAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}<string><string>